SFTP(1)

NUME
sftp - transfer securizat de fișiere OpenSSH

SINOPSIS
sftp [-46AaCfNpqrv] [-B dimensiune-memorie-tampon] [-b fișier-loturi] [-c cifrarea] [-D comandă-server-sftp] [-F ssh_config] [-i fișier-identificare] [-J destinația] [-l limita] [-o opțiun-ssh] [-P port] [-R număr-cereri] [-S program] [-s subsistem | server-sftp] [-X opțiune-sftp] destinația

DESCRIERE
sftp este un program de transfer de fișiere, similar cu ftp(1), care efectuează toate operațiile prin intermediul unui transport criptat ssh(1). De asemenea, poate utiliza multe caracteristici ale ssh, cum ar fi autentificarea cu cheie publică și comprimarea.

destinația poate fi specificată fie ca [utilizator@]gazdă[:rută] fie ca adresă URI sub forma sftp://[utilizator@]gazdă[:port][/rută].

În cazul în care destinația include o rută și aceasta nu este un director, sftp va prelua automat fișierele dacă se utilizează o metodă de autentificare non-interactivă; în caz contrar, va face acest lucru după o autentificare interactivă reușită.

Dacă nu este specificată nici o rută sau dacă ruta este un director, sftp se va conecta la gazda file ... specificată și va intra în modul de comandă interactiv, trecând la directorul de la distanță dacă a fost specificat unul. O bară oblică finală opțională poate fi utilizată pentru a forța interpretarea rutei ca fiind un director.

Deoarece formatele de destinație utilizează caracterele două puncte pentru a delimita numele de gazdă de numele rutelor sau de numerele de port, adresele IPv6 trebuie să fie incluse între paranteze drepte pentru a evita ambiguitățile.

Opțiunile sunt următoarele:

-4  Forțează sftp să utilizeze numai adrese IPv4.

-6  Forțează sftp să utilizeze numai adrese IPv6.

-A  Permite redirecționarea de ssh-agent(1) către sistemul la distanță. Opțiunea implicită este de a nu transmite un agent de autentificare.

-a  Încearcă să continue transferurile întrerupte în loc să suprascrie copiile parțiale sau complete ale fișierelor existente. În cazul în care conținutul parțial diferă de cel transferat, este posibil ca fișierul rezultat să fie corupt.

-B dimensiune-memorie-tampon
    Specifică dimensiunea memoriei tampon pe care sftp o utilizează la transferul de fișiere. Memoriile tampon mai mari necesită mai puține călătorii dus-întors, cu prețul unui consum mai mare de memorie. Valoarea implicită este de 32768 octeți.

-b fișier-loturi
    Modul pe loturi „batch” citește o serie de comenzi de la o intrare fișier-loturi în loc de la intrarea standard. Deoarece nu există interacțiune cu utilizatorul, ar trebui utilizat împreună cu autentificarea non-interactivă pentru a evita necesitatea introducerii unei parole în momentul conectării (a se vedea sshd(8) și ssh-keygen(1) pentru detalii).

    Un fișier-loturi de „-” poate fi utilizat pentru a indica intrarea standard. sftp va abandona dacă una dintre următoarele comenzi eșuează: get, put, reget, reput, rename, ln, rm, mkdir, chdir, ls, lchdir, copy, cp, chmod, chown, chgrp, lpwd, df, symlink, și lmkdir.

    Terminarea la eroare poate fi suprimată pentru fiecare comandă în parte prin prefixarea comenzii cu un caracter ‘-’ (de exemplu, -rm /tmp/blah*). Ecoul comenzii poate fi suprimat prin prefixarea comenzii cu un caracter ‘@’. Aceste două prefixe pot fi combinate în orice ordine, de exemplu -@ls /bsd.

-C  Activează comprimarea (prin intermediul fanionului -C din ssh).

-c cifrare
    Selectează cifrarea care urmează să fie utilizată pentru criptarea transferurilor de date. Această opțiune este transmisă direct către ssh(1).

-D comandă-server-sftp
    Se conectează direct la un server sftp local (mai degrabă decât prin ssh(1)). Se pot specifica o comandă și argumente, de exemplu "/ruta/la/sftp-server -el debug3". Această opțiune poate fi utilă pentru depanarea clientului și a serverului.

-F configurare-ssh
    Specifică un fișier alternativ de configurare per utilizator pentru ssh(1). Această opțiune este transmisă direct către ssh(1).

-f  Solicită ca fișierele să fie descărcate pe disc imediat după transfer. La încărcarea fișierelor, această funcție este activată numai dacă serverul implementează extensia „fsync@openssh.com”.

-i fișier-identitate
    Selectează fișierul din care se citește identitatea (cheia privată) pentru autentificarea cu cheie publică. Această opțiune este pasată direct către ssh(1).

-J destinație
    Se conectează la gazda țintă făcând mai întâi o conexiune sftp la gazda de salt descrisă de destinație și apoi stabilind de acolo o redirecționare TCP către destinația finală. Se pot specifica mai multe salturi de conectare separate prin virgulă. Aceasta este o prescurtare pentru a specifica o directivă de configurare ProxyJump. Această opțiune este pasată direct către ssh(1).

-l limita
    Limitează lățimea de bandă utilizată, specificată în Kbit/s.

-N  Dezactivează modul silențios, de exemplu, pentru a anula modul silențios implicit stabilit de fanionul -b.

-o opțiune-ssh
    Poate fi utilizată pentru a transmite opțiuni către ssh în formatul utilizat în ssh_config(5). Acest lucru este util pentru specificarea opțiunilor pentru care nu există o opțiune separată în linia de comandă sftp. De exemplu, pentru a specifica un port alternativ, utilizați: sftp -oPort=24. Pentru detalii complete despre opțiunile enumerate mai jos și despre valorile lor posibile, consultați ssh_config(5).

    AddressFamily
    BatchMode
    BindAddress
    BindInterface
    CanonicalDomains
    CanonicalizeFallbackLocal
    CanonicalizeHostname
    CanonicalizeMaxDots
    CanonicalizePermittedCNAMEs
    CASignatureAlgorithms
    CertificateFile
    CheckHostIP
    Ciphers
    Comprimare
    ConnectionAttempts
    ConnectTimeout
    ControlMaster
    ControlPath
    ControlPersist
    GlobalKnownHostsFile
    GSSAPIAuthentication
    GSSAPIDelegateCredentials
    HashKnownHosts
    Host
    HostbasedAcceptedAlgorithms
    HostbasedAuthentication
    HostKeyAlgorithms
    HostKeyAlias
    Hostname
    IdentitiesOnly
    IdentityAgent
    IdentityFile
    IPQoS
    KbdInteractiveAuthentication
    KbdInteractiveDevices
    KexAlgorithms
    KnownHostsCommand
    LogLevel
    MACs
    NoHostAuthenticationForLocalhost
    NumberOfPasswordPrompts
    PasswordAuthentication
    PKCS11Provider
    Port
    PreferredAuthentications
    ProxyCommand
    ProxyJump
    PubkeyAcceptedAlgorithms
    PubkeyAuthentication
    RekeyLimit
    RequiredRSASize
    SendEnv
    ServerAliveInterval
    ServerAliveCountMax
    SetEnv
    StrictHostKeyChecking
    TCPKeepAlive
    UpdateHostKeys
    User
    UserKnownHostsFile
    VerifyHostKeyDNS

-P port
    Specifică portul la care trebuie să se conecteze pe gazda la distanță.

-p  Păstrează timpii de modificare, timpii de acces și modurile din fișierele originale transferate.

-q  Modul silențios: dezactivează contorul de progres, precum și mesajele de avertizare și de diagnosticare de la ssh(1).

-R număr-cereri
    Specifică câte cereri pot fi în curs de soluționare la un moment dat. Creșterea acestei valori poate îmbunătăți ușor viteza de transfer a fișierelor, dar va crește utilizarea memoriei. Valoarea implicită este de 64 de solicitări restante.

-r  Copiază în mod recursiv directoare întregi la încărcarea și descărcarea de fișiere. Rețineți că sftp nu urmărește legăturile simbolice întâlnite în parcurgerea arborelui.

-S program
    Numele programului programului care urmează să fie utilizat pentru conexiunea criptată. Programul trebuie să înțeleagă opțiunile ssh(1).

-s subsistem | server-sftp
    Specifică subsistemul SSH2 sau ruta pentru un server sftp pe gazda de la distanță. O rută este utilă atunci când sshd(8) de la distanță nu are configurat un subsistem sftp.

-v  Crește nivelul de jurnalizare. Această opțiune este transmisă și la ssh.

-X opțiune-sftp
    Specifică o opțiune care controlează aspecte ale comportamentului protocolului SFTP. Opțiunile valabile sunt:

    nrequests=valoare
        Controlează numărul de solicitări simultane de citire sau scriere SFTP care pot fi în desfășurare în orice moment în timpul unei descărcări sau încărcări. În mod implicit, 64 de cereri pot fi active simultan.

    buffer=valoare
        Controlează dimensiunea maximă a memoriei tampon pentru o singură operație SFTP de citire/scriere utilizată în timpul descărcării sau încărcării. În mod implicit, se utilizează o memorie tampon de 32 Ko.

COMENZI INTERACTIVE
Odată intrat în modul interactiv, sftp înțelege un set de comenzi similare cu cele ale ftp(1). Comenzile sunt insensibile la majuscule și minuscule. Numele de rute care conțin spații trebuie să fie incluse între ghilimele. Toate caracterele speciale conținute în numele de rută care sunt recunoscute de glob(3) trebuie să fie eludate cu bare înclinate invers (‘\’).

bye Quit sftp.

cd [ruta]
    Schimbă directorul la distanță în ruta. Dacă ruta nu este specificată, atunci schimbă directorul la cel în care a început sesiunea.

chgrp
    [- -h] grp ruta Schimbă grupul fișierelor ruta în grp. ruta poate conține caractere glob(7) și se poate potrivi cu mai multe fișiere. grp trebuie să fie un GID numeric.

    Dacă este specificat fanionul -h, atunci legăturile simbolice nu vor fi urmate. Rețineți că acest lucru este acceptat numai de serverele care implementează extensia „lsetstat@openssh.com”.

chmod
    [- -h] mod ruta Schimbă permisiunile fișierului ruta în mod. ruta poate conține caractere glob(7) și poate corespunde mai multor fișiere.

    Dacă este specificat fanionul -h, atunci legăturile simbolice nu vor fi urmate. Rețineți că acest lucru este acceptat numai de serverele care implementează extensia „lsetstat@openssh.com”.

chown
    [- -h] proprietar ruta Schimbă proprietarul fișierului ruta în proprietar. ruta poate conține caractere glob(7) și poate corespunde mai multor fișiere. proprietar trebuie să fie un UID numeric.

    Dacă este specificat fanionul -h, atunci legăturile simbolice nu vor fi urmate. Rețineți că acest lucru este acceptat numai de serverele care implementează extensia „lsetstat@openssh.com”.

copy ruta-veche ruta-nouă
    Copiază fișierul de la distanță din ruta-veche în ruta-nouă.

    Rețineți că acest lucru este acceptat numai de serverele care implementează extensia „copy-data”.

cp ruta-veche ruta-nouă
    Alias pentru comanda copy.

df  [-hi] [ruta] Afișează informații de utilizare pentru sistemul de fișiere care conține directorul curent (sau ruta dacă este specificată). Dacă se specifică fanionul -h, informațiile privind capacitatea vor fi afișate folosind sufixe "ușor de citit de către om". Fanionul -i solicită afișarea informațiilor despre noduri-i în plus față de informațiile despre capacitate. Această comandă este acceptată numai pe serverele care implementează extensia “statvfs@openssh.com”.

exit
    Quit sftp.

get [-afpR] ruta-la-distanță [ruta-locală] Preia ruta-la-distanță și o stochează pe mașina locală. Dacă nu este specificat numele rutei locale, aceasta primește același nume pe care îl are pe mașina la distanță. ruta-la-distanță poate conține caractere glob(7) și poate corespunde mai multor fișiere. În acest caz, dacă ruta-locală este specificată, atunci ruta-locală trebuie să specifice un director.

    Dacă se specifică fanionul -a, atunci se încearcă reluarea transferurilor parțiale ale fișierelor existente. Rețineți că reluarea presupune că orice copie parțială a fișierului local coincide cu copia de la distanță. În cazul în care conținutul fișierului la distanță diferă de cel al copiei locale parțiale, atunci este probabil ca fișierul rezultat să fie corupt.

    În cazul în care se specifică fanionul -f, atunci fsync(2) va fi apelat după finalizarea transferului de fișiere pentru a spăla fișierul pe disc.

    Dacă se specifică fanionul -p, atunci se copiază și permisiunile complete ale fișierelor și timpii de acces.

    Dacă se specifică fanionul -R, atunci directoarele vor fi copiate recursiv. Rețineți că sftp nu urmărește legăturile simbolice atunci când efectuează transferuri recursive.

help
    Afișează textul de ajutor.

lcd [ruta]
    Schimbă directorul local în ruta. Dacă nu se specifică ruta, atunci schimbă directorul în directorul de origine al utilizatorului local.

lls [opțiuni-ls [ruta]]
    Afișează lista directoarelor locale fie din ruta, fie din directorul curent, dacă nu este specificată ruta. ls-options poate conține orice opțiuni acceptate de comanda ls(1) a sistemului local. ruta poate conține caractere glob(7) și poate corespunde mai multor fișiere.

lmkdir ruta
    Creează directorul local specificat de ruta.

ln  [-s] ruta-veche ruta-nouă Creează o legătură de la ruta-veche la ruta-nouă. Dacă se specifică fanionul -s, legătura creată este o legătură simbolică, în caz contrar este o legătură dură.

lpwd
    Afișează directorul de lucru local.

ls  [-1afhlnrSt] [ruta] Afișează o listă de directoare la distanță, fie din ruta, fie din directorul curent, dacă ruta nu este specificată. ruta poate conține caractere glob(7) și poate corespunde mai multor fișiere.

    Următoarele opțiuni sunt recunoscute și modifică comportamentul lui ls în consecință:

    -1  Produce o singură coloană la ieșire.

    -a  Listează fișierele care încep cu un punct (‘’)..

    -f  Nu sortează lista. Ordinea de sortare implicită este lexicografică.

    -h  Atunci când se utilizează cu o opțiune de format lung, se folosesc sufixe de unitate: Octet, Kiloocteți, Megaocteți, Gigaocteți, Teraocteți, Petaocteți și Exocteți pentru a reduce numărul de cifre la patru sau mai puține, folosind puteri de 2 pentru dimensiuni (K=1024, M=1048576 etc.).

    -l  Afișează detalii suplimentare, inclusiv informații privind permisiunile și proprietatea.

    -n  Produce o listă lungă cu informații despre utilizatori și grupuri prezentate sub formă numerică.

    -r  Inversează ordinea de sortare a listei.

    -S  Sortează lista în funcție de dimensiunea fișierului.

    -t  Sortează lista după ultima oră de modificare.

lumask umask
    Stabilește valoarea umask locală la umask.

mkdir ruta
    Creează directorul la distanță specificat de ruta.

progress
    Activează afișarea indicatorului de progres.

put [-afpR] ruta-locală [ruta-la-distanță] Încarcă ruta-locală și îl stochează pe mașina de la distanță. Dacă nu este specificat numele rutei la distanță, i se atribuie același nume pe care îl are pe mașina locală. ruta-locală poate conține caractere glob(7) și poate corespunde mai multor fișiere. În acest caz, dacă ruta-la-distanță este specificată, atunci ruta-la-distanță trebuie să specifice un director.

    Dacă se specifică fanionul -a, atunci se încearcă reluarea transferurilor parțiale ale fișierelor existente. Rețineți că reluarea presupune că orice copie parțială a fișierului de la distanță coincide cu copia locală. În cazul în care conținutul fișierului local diferă de cel al copiei locale de la distanță, atunci este probabil ca fișierul rezultat să fie corupt.

    Dacă este specificat fanionul -f, atunci se va trimite o cerere către server pentru a apela fsync(2) după ce fișierul a fost transferat. Rețineți că acest lucru este acceptat numai de serverele care implementează extensia „fsync@openssh.com”.

    Dacă se specifică fanionul -p, atunci se copiază și permisiunile complete ale fișierelor și timpii de acces.

    Dacă se specifică fanionul -R, atunci directoarele vor fi copiate recursiv. Rețineți că sftp nu urmărește legăturile simbolice atunci când efectuează transferuri recursive.

pwd Afișează directorul de lucru de la distanță.

quit
    Quit sftp.

reget
    [-fpR] ruta-la-distanță [ruta-locală] Reia descărcarea lui ruta-la-distanță. Echivalent cu get cu fanionul -a activat.

reput
    [-fpR] ruta-locală [ruta-la-distanță] Reia descărcarea lui ruta-locală. Echivalent cu get cu fanionul -a activat.

rename ruta-veche ruta-nouă
    Redenumește fișierul la distanță din ruta-veche în ruta-nouă.

rm ruta
    Șterge fișierul de la distanță specificat de ruta.

rmdir ruta
    Elimină directorul la distanță specificat de ruta.

symlink ruta-veche ruta-nouă
    Creează o legătură simbolică de la ruta-veche la ruta-nouă.

version
    Afișează versiunea protocolului sftp.

!comanda
    Execută comanda în shell-ul local.

!   Eludează în shell-ul local.

?   Snonim pentru „help”.

CONSULTAȚI ȘI
ftp(1), ls(1), scp(1), ssh(1), ssh-add(1), ssh-keygen(1), ssh_config(5), glob(7), sftp-server(8), sshd(8) T. Ylonen, S. Lehtinen, SSH File Transfer Protocol, draft-ietf-secsh-filexfer-00.txt, ianuarie 2001, material în curs de elaborare.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3: https://www.gnu.org/licenses/gpl-3.0.html sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.